[Overview][Constants][Classes][Index] | Reference for unit 'memds' (#fcl)

# TMemDataset.FileModified

Indicates if the in-memory dataset has been modified

## Declaration

Source position: memds.pp line 153

`public property TMemDataset.FileModified : Boolean read FFileModified;`

## Description

FileModified is a read-only Boolean property which indicates if the in-memory dataset has been modified. The value in FileModified is updated in methods that write record buffers to the internal memory stream for the dataset, such as:

- MDSWriteRecord
- MDSAppendRecord
- InternalDelete

The value in FileModified is also updated in methods called when opening or closing the in-memory dataset, such as:

- LoadFromStream
- SaveDataToStream
- InternalClose